---
updatedAt: 2026-03-24T22:38:02.000Z
agentTools:
  projectIndex: https://developers.digitalfemsa.io/llms.txt
---

# Create Tax

Creates a new tax line for an existing order. The tax line is added to the order identified by `id`. The response returns the created tax line.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "contact": {
      "email": "engineering@femsa.com",
      "name": "Engineering Femsa",
      "url": "https://github.com/digitalfemsa/openapi/issues"
    },
    "description": "Femsa sdk",
    "license": {
      "name": "MIT-LICENSE",
      "url": "https://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "title": "Femsa API",
    "version": "2.1.0"
  },
  "servers": [
    {
      "description": "Femsa main server",
      "url": "https://api.digitalfemsa.io"
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/orders/{id}/tax_lines": {
      "post": {
        "description": "Creates a new tax line for an existing order. The tax line is added to the order identified by `id`. The response returns the created tax line.",
        "operationId": "ordersCreateTaxes",
        "parameters": [
          {
            "description": "Identifier of the resource",
            "example": "6307a60c41de27127515a575",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Use for knowing which language to use",
            "examples": {
              "es": {
                "summary": "for spanish request/response",
                "value": "es"
              },
              "en": {
                "summary": "for english request/response",
                "value": "en"
              }
            },
            "in": "header",
            "name": "Accept-Language",
            "required": false,
            "schema": {
              "default": "es",
              "enum": [
                "es",
                "en"
              ],
              "type": "string"
            }
          },
          {
            "description": "In the case of a holding company, the company id of the child company to which will process the request.",
            "example": "6441b6376b60c3a638da80af",
            "in": "header",
            "name": "X-Child-Company-Id",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/order_tax"
        },
        "responses": {
          "200": {
            "content": {
              "application/vnd.app-v2.1.0+json": {
                "schema": {
                  "$ref": "#/components/schemas/update_order_tax_response"
                }
              }
            },
            "description": "successful"
          },
          "401": {
            "content": {
              "application/vnd.app-v2.1.0+json": {
                "example": {
                  "details": [
                    {
                      "message": "Please include your access key in your request.",
                      "param": null,
                      "code": "femsa.errors.authentication.missing_key"
                    }
                  ],
                  "log_id": "507f1f77bcf86cd799439011",
                  "object": "error",
                  "type": "authentication_error"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "authentication error"
          },
          "404": {
            "content": {
              "application/vnd.app-v2.1.0+json": {
                "example": {
                  "details": [
                    {
                      "message": "The resource was not found.",
                      "param": null,
                      "code": "femsa.errors.resource_not_found.entity",
                      "debug_message": "The object Webhook \"641b1d5662d7e00001eaa46b\" could not be found."
                    }
                  ],
                  "log_id": "641b6c253cd9a50001514fae",
                  "object": "error",
                  "type": "resource_not_found_error"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "not found entity"
          },
          "422": {
            "content": {
              "application/vnd.app-v2.1.0+json": {
                "example": {
                  "details": [
                    {
                      "message": "The name does not exist.",
                      "param": "payment_method.name",
                      "code": "femsa.errors.parameter_validation.payment_method.name.nonexistent_token",
                      "debug_message": "The name does not exist."
                    }
                  ],
                  "log_id": "641b6d813cd9a50001515017",
                  "object": "error",
                  "type": "parameter_validation_error"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "parameter validation error"
          },
          "500": {
            "content": {
              "application/vnd.app-v2.1.0+json": {
                "example": {
                  "details": [
                    {
                      "debug_message": "There was a runtime error and Femsa engineers have been notified.",
                      "message": "There was a runtime error and Femsa engineers have been notified.",
                      "param": null,
                      "code": "femsa.errors.api.system.general_failure"
                    }
                  ],
                  "object": "error",
                  "type": "api_error",
                  "log_id": "641b6f2b3cd9a50001515098"
                },
                "schema": {
                  "$ref": "#/components/schemas/error"
                }
              }
            },
            "description": "internal server error"
          }
        },
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "summary": "Create Tax",
        "tags": [
          "Taxes"
        ]
      }
    }
  },
  "components": {
    "requestBodies": {
      "order_tax": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/order_tax_request"
            }
          }
        },
        "description": "Request body for creating a tax line.",
        "required": true
      }
    },
    "schemas": {
      "error": {
        "allOf": [
          {
            "$ref": "#/components/schemas/details"
          },
          {
            "properties": {
              "log_id": {
                "description": "log id",
                "example": "507f1f77bcf86cd799439011",
                "nullable": true,
                "type": "string"
              },
              "type": {
                "example": "authentication_error",
                "type": "string"
              },
              "object": {
                "example": "error",
                "type": "string"
              }
            },
            "type": "object"
          }
        ],
        "description": "err model",
        "title": "error"
      },
      "update_order_tax_response": {
        "allOf": [
          {
            "$ref": "#/components/schemas/order_tax_request"
          },
          {
            "properties": {
              "id": {
                "example": "tax_lin_2tQ8dC5mg1UADmVPo",
                "type": "string"
              },
              "object": {
                "example": "tax_line",
                "type": "string"
              },
              "parent_id": {
                "example": "ord_2tPAmKCEJqh8RE6nY",
                "type": "string"
              }
            },
            "type": "object"
          }
        ],
        "description": "create new taxes for an existing order response",
        "required": [
          "id"
        ]
      },
      "order_tax_request": {
        "description": "create new taxes for an existing order",
        "properties": {
          "amount": {
            "description": "The amount to be collected for tax in cents",
            "example": 100,
            "format": "int64",
            "minimum": 0,
            "type": "integer"
          },
          "description": {
            "description": "description or tax's name",
            "example": "testing",
            "minLength": 2,
            "type": "string"
          },
          "metadata": {
            "additionalProperties": true,
            "example": {
              "key": "value"
            },
            "maxProperties": 100,
            "type": "object"
          }
        },
        "required": [
          "amount",
          "description"
        ],
        "type": "object"
      },
      "details": {
        "properties": {
          "details": {
            "items": {
              "$ref": "#/components/schemas/details_error"
            },
            "type": "array"
          }
        },
        "type": "object"
      },
      "details_error": {
        "properties": {
          "code": {
            "example": "femsa.errors.authentication.missing_key",
            "type": "string"
          },
          "param": {
            "nullable": true,
            "type": "string"
          },
          "message": {
            "example": "Acceso no autorizado.",
            "type": "string"
          },
          "debug_message": {
            "example": "Please include your access key in your request.",
            "type": "string"
          }
        },
        "title": "details_error",
        "type": "object"
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  }
}
```